Skip to main content
`Ctrl`+`K`

# PetscIntStackEmpty

This function determines whether any items have been pushed.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscIntStackEmpty(PetscIntStack stack, PetscBool *empty)

Not Collective, No Fortran Support

## Input Parameter

- stack - The stack

## Output Parameter

- empty - `PETSC_TRUE` if the stack is empty

## See Also

`PetscIntStackCreate()`, `PetscIntStackDestroy()`, `PetscIntStackPush()`, `PetscIntStackPop()`, `PetscIntStackTop()`

## Level

developer

## Location

src/sys/logging/utils/stack.c

Index of all Log routines
Table of Contents for all manual pages
Index of all manual pages